
using Godot;

namespace Rokojori
{  
  public class RenderingObject
  {
    protected RDContext _context;
    public RDContext context => _context;

    protected Rid _rid;
    public Rid rid => _rid;

    public bool valid => _rid.IsValid;

    public RenderingObject( RDContext context, Rid rid )
    {
      this._context = context;
      this._rid = rid;

      this._context.AddToCleanUp( this, GetType().Name + "@" + _rid );

      context.Verbose( "Creating", GetType().Name, rid );
    }

  }
}